<?php
namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreComment extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'max:16',
            'comment' => 'required',
        ];
    }
    
    public function messages()
    {
        return [
            'comment.required' => 'Your comment cannot be empty',
            'recaptcha.required' => 'Captcha required',
            'recaptcha.captcha' => 'Captcha required',
            'name.max' => 'Name must not exceed 16 characters'
        ];
    }
    
    public function withValidator($validator)
    {
        // $validator->sometimes('recaptcha', 'required|captcha', function ($input) {
            // return true;
        // });
    }
}